<?php if (! empty($this->request->data['Variants'])): ?>
	<div class="sortable">

		<?php $open = ' open'; ?>
		<?php if (count($this->request->data['Variants']) > 1): ?>
			<div class="flash flash--info flash--condensed">
				<h2 class='flash__title'>Drag variants to reorder.</h2>
			</div>
			<?php
				$open = false;
				$this->Html->script(
					array('EvShop.variantsManage'),
					array('inline' => false)
				);
			?>
		<?php endif; ?>

		<?php foreach ($this->request->data['Variants'] as $key => $Variant): ?>
			<?php
				$options = array();
				if (isset($Variant['Option']) && ! empty($Variant['Option'])):
					foreach ($Variant['Option'] as $option):
						$options[] = $option['id'];
					endforeach;
				endif;
			?>

			<fieldset class="collapsable-fieldset<?=$open?> variant-record" data-variant="<?=$Variant['Variant']['id']?>" data-options="<?=implode(",", $options)?>">
				<legend><?php echo (isset($Variant['Variant']['name']) ? $Variant['Variant']['name'] : null); ?></legend>
				<div>

					<div class="col-xs-12 col-md-4">
						<?php

							//Display any fields that aren't in the following array
							$removeFieldsArray = array('optionDesc', 'Variant.name', 'Variant.sku', 'Variant.is_active');
							foreach ($fields as $field => $attr):
								if (in_array($field, $removeFieldsArray) && !empty($open)):
									continue;
								endif;

	                            echo $this->Form->addField(
	                                'Variants.' . $key . '.' . $field,
	                                $attr
	                            );

							endforeach;

							//SKU field
							echo $this->Form->addField(
								'Variants.' . $key . '.Variant.sku',
								[
									'type' => 'string'
								]
							);

							echo $this->Form->addField(
								'Variants.' . $key . '.Inventory.id',
								array(
									'type' => 'integer'
								)
							);

							echo $this->Form->addField(
								'Variants.' . $key . '.Inventory.stock',
								array(
									'type' => 'integer'
								)
							);

							echo $this->Form->addField(
								'Variants.' . $key . '.Inventory.warning_level',
								array(
									'type' => 'integer',
									'class' => 'beforeCheckbox'
								)
							);

							//Is active field
							echo $this->Form->addField(
								'Variants.' . $key . '.Variant.is_active',
								[
									'type' => 'boolean'
								]
							);
						?>
					</div>

					<div class="col-xs-12 col-md-8 manage-stock-options">
						<?php
							//Rest of stock control options that haven't been displayed yet
							echo $this->Form->addField(
								'Variants.' . $key . '.Inventory.warning_action',
								array(
									'type' => 'multicheck',
									'label' => 'When warning stock level reached:',
									'options' => Configure::read('EvInventory.warningActions')
								)
							);

							echo $this->Form->addField(
								'Variants.' . $key . '.Inventory.oos_action',
								array(
									'type' => 'multicheck',
									'label' => 'When out of stock:',
									'options' => Configure::read('EvInventory.oosActions')
								)
							);
						?>
					</div>

					<div class="col-xs-12">
						<?php
						foreach ($currencies as $currencyId => $currencyName):
							if (Configure::read('EvShop.autoManageCurrencies') == true && isset($defaultCurrency) && $currencyId != $defaultCurrency):
								continue;
							endif;
						?>
							<div class="col-xs-12">
								<fieldset class="">
									<legend>Currency: <?php echo $currencyName; ?></legend>
									<div class="transition-none">
										<?php
											$priceId = null;
											if (isset($Variant['VariantPricing'][$currencyId]['od'])):
												$priceId = $Variant['VariantPricing'][$currencyId]['id'];
											endif;
											echo $this->Form->addField(
												'Variants.' . $key . '.VariantPricing.' . $currencyId . '.id',
												array(
													'type' => 'hidden',
													'value' => $priceId
												)
											);

											echo $this->Form->addField(
												'Variants.' . $key . '.VariantPricing.' . $currencyId . '.currency_id',
												array(
													'type' => 'hidden',
													'value' => $currencyId
												)
											);

											$taxLabelAsVat = Configure::read('EvShop.displayTaxAsVat');
											$taxLabel = 'Tax';
											if ($taxLabelAsVat) {
												$taxLabel = 'VAT';
											}
										?>

										<div class="col-xs-12 col-md-3">
											<strong class="col-xs-12 price-title">RRP</strong>
											<?php
												$rrp = null;
												if (isset($Variant['VariantPricing'][$currencyId]['rrp'])):
													$roundedPrice = $this->Number->precision($Variant['VariantPricing'][$currencyId]['rrp'], 3);
													if (substr(strval($roundedPrice), -1) == 0) {
														$rrp = $this->Number->precision($Variant['VariantPricing'][$currencyId]['rrp'], 2);
													} else {
														$rrp = $roundedPrice;
													}
												endif;

												//Taxrate is a required field so would always be set, check if tax is set higher than 0
												$taxRate = null;
												if (isset($Variant['Product']['TaxLevel']['rate']) && $Variant['Product']['TaxLevel']['rate'] > 0) {
													$taxRate = $Variant['Product']['TaxLevel']['rate'];
												}
												echo $this->Form->addField(
													'Variants.' . $key . '.VariantPricing.' . $currencyId . '.rrp',
													array(
														'type' => 'input',
														'label' => 'ex. ' . $taxLabel,
														'value' => $rrp,
														// 'before' => '<div class="display-info">Excluding tax</div>',
														'data-type' => 'currency',
														'data-field' => 'rrp',
														'data-taxrate' => $taxRate,
														'data-currency' => $currencyId,
														'data-taxlabel' => $taxLabelAsVat
													)
												);
											?>
										</div>
										<div class="col-xs-12 col-md-3">
											<strong class="col-xs-12 price-title">Price</strong>
											<?php
												$price = null;
												if (isset($Variant['VariantPricing'][$currencyId]['price'])):
													$roundedPrice = $this->Number->precision($Variant['VariantPricing'][$currencyId]['price'], 3);
													if (substr(strval($roundedPrice), -1) == 0) {
														$price = $this->Number->precision($Variant['VariantPricing'][$currencyId]['price'], 2);
													} else {
														$price = $roundedPrice;
													}
												endif;

												$taxRate = null;
												if (isset($Variant['Product']['TaxLevel']['rate']) && $Variant['Product']['TaxLevel']['rate'] > 0) {
													$taxRate = $Variant['Product']['TaxLevel']['rate'];
												}
												echo $this->Form->addField(
													'Variants.' . $key . '.VariantPricing.' . $currencyId . '.price',
													array(
														'type' => 'input',
														'label' => 'ex. ' . $taxLabel,
														'value' => $price,
														// 'before' => '<div class="display-info">Excluding tax</div>',
														'data-type' => 'currency',
														'data-field' => 'price',
														'data-taxrate' => $taxRate,
														'data-currency' => $currencyId,
														'data-taxlabel' => $taxLabelAsVat
													)
												);
											?>
										</div>
										<div class="col-xs-12 col-md-3">
											<strong class="col-xs-12 price-title">Sale Price</strong>
											<?php
												$sale_price = null;
												if (isset($Variant['VariantPricing'][$currencyId]['sale_price'])):
													$roundedPrice = $this->Number->precision($Variant['VariantPricing'][$currencyId]['sale_price'], 3);
													if (substr(strval($roundedPrice), -1) == 0) {
														$sale_price = $this->Number->precision($Variant['VariantPricing'][$currencyId]['sale_price'], 2);
													} else {
														$sale_price = $roundedPrice;
													}
												endif;

												$taxRate = null;
												if (isset($Variant['Product']['TaxLevel']['rate']) && $Variant['Product']['TaxLevel']['rate'] > 0) {
													$taxRate = $Variant['Product']['TaxLevel']['rate'];
												}
												echo $this->Form->addField(
													'Variants.' . $key . '.VariantPricing.' . $currencyId . '.sale_price',
													array(
														'type' => 'input',
														'label' => 'ex. ' . $taxLabel,
														'value' => $sale_price,
														// 'before' => '<div class="display-info">Excluding tax</div>',
														'data-type' => 'currency',
														'data-field' => 'sale_price',
														'data-taxrate' => $taxRate,
														'data-currency' => $currencyId,
														'data-taxlabel' => $taxLabelAsVat
													)
												);
											?>
										</div>
										<div class="col-xs-12 col-md-3">
											<strong class="col-xs-12 price-title">Trade Price</strong>
											<?php
												$trade_price = null;
				                                if (isset($Variant['VariantPricing'][$currencyId]['trade_price'])):
				                                    $roundedPrice = $this->Number->precision($Variant['VariantPricing'][$currencyId]['trade_price'], 3);
													if (substr(strval($roundedPrice), -1) == 0) {
														$trade_price = $this->Number->precision($Variant['VariantPricing'][$currencyId]['trade_price'], 2);
													} else {
														$trade_price = $roundedPrice;
													}
				                                endif;

				                                $taxRate = null;
												if (isset($Variant['Product']['TaxLevel']['rate']) && $Variant['Product']['TaxLevel']['rate'] > 0) {
													$taxRate = $Variant['Product']['TaxLevel']['rate'];
												}
				                                echo $this->Form->addField(
				                                    'Variants.' . $key . '.VariantPricing.' . $currencyId . '.trade_price',
				                                    array(
				                                        'type' => 'input',
				                                        'label' => 'ex. ' . $taxLabel,
				                                        'value' => $trade_price,
				                                        // 'after' => '<div class="display-info">Tax will not be applied to trade orders.</div>',
				                                        'data-type' => 'currency',
				                                        'data-field' => 'trade_price',
				                                        'data-taxrate' => $taxRate,
				                                        'data-currency' => $currencyId,
				                                        'data-taxlabel' => $taxLabelAsVat
				                                    )
				                                );
											?>
										</div>

									</div>
								</fieldset>
							</div>

						<?php
							endforeach;
						?>
					</div>
				</div>
			</fieldset>

		<?php endforeach; ?>
	</div>
<?php endif; ?>

<?php
	echo $this->Html->script(
		array(
			'EvShop.autoNumeric.min.js',
			'EvShop.variantPricing.js'
		),
		array(
			'inline' => false
		)
	);

	echo $this->Html->css(
		array(
			'EvShop.manage.css'
		),
		array(
			'inline' => false
		)
	);
?>
